# This file is part of dnmapper, an AS--level mapping tool
# Licensed under GNU General Public License v3 or later
# Written by Sebastian Lohff (seba@someserver.de)
from django.conf.urls import url, include

from bgpdata.api import ASResource, CrawlResource, CrawlGraphResource, BorderRouterResource, AnnouncementResource

asResource = ASResource()
crawlResource = CrawlResource()
crawlGraphResource = CrawlGraphResource()
borderRouterResource = BorderRouterResource()
announcementResource = AnnouncementResource()


urlpatterns = (
    url('', include(asResource.urls)),
    url('', include(crawlResource.urls)),
    url('', include(crawlGraphResource.urls)),
    url('', include(borderRouterResource.urls)),
    url('', include(announcementResource.urls)),
)
