#!/bin/bash
# This file is part of dnmapper, an AS--level mapping tool
# Licensed under GNU General Public License v3 or later
# Written by Sebastian Lohff (seba@someserver.de)

# get state from routing information, targeted are routing protocols
# currently supporting quagga and bird

if which birdc >/dev/null; then
	term=$TERM
	export TERM=
	echo "<<<bird>>>"
	{
		echo show status
		echo show memory
		echo show protocols all
		echo show ospf
		echo show ospf neighbors
		echo show ospf interface
		echo show route all
	}|birdc -v
	export TERM=$term
fi

if which vtysh >/dev/null; then
	echo "<<<quagga>>>"
	{
		echo show ip bgp sum # summary of all neighbors
		echo show ip bgp neighbors # very detailed neighbor information
		echo show ip bgp rsclient summary
		echo show ip bgp
		
		echo show ip ospf
		echo show ip ospf neighbor
		echo show ip ospf interface
		echo show ip ospf border-routers
	}|vtysh
fi
